Subject: Re: bug#57039: `make check' yields two failed tests.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 09 Aug 2022 18:01:52 +0200

Maxime Devos <[email-masked]> skribis:

> On 09-08-2022 15:50, Ludovic Courtès wrote:
>>> +                      (entry (tag "tag-for-first-news-entry")
>>> +                             (title (en "Old news.") (eo "Malnova?oj."))
>> The question mark here suggests you’re not running the tests with a
>> UTF-8 locale.
>>
>> Could you add, say, ‘glibc-locales’ to your environment, ensure
>> GUIX_LOCPATH points to it, and set LC_ALL=en_US.UTF-8 (or similar)?
>>
> Two comments:
>
> If tests require an UTF-8 locale, I think the tests (maybe in
> build-aux/test-driver.scm?) should check that an UTF-8 that an UTF-8
> locale is actually in use and otherwise bail out properly.
>
> It's not a file-name but rather the contents of the news file, so I
> would think we are just forgetting to pass some arguments like
> #:encoding "UTF-8" -- making the interpretation of the news file
> depend on the current locale doesn't seem good to me (it's encoding on
> stdout with "guix pull --news" is another matter).

Agreed, I came to the same conclusion:

  60e0aae89c channels: Consider news files as UTF-8-encoded by default.
  e1b8bace8c tests: git: Write files as UTF-8.

Should have done that long ago!

Ludo’.